<?php

/**
* Copyright 2010 Kousuke Ebihara
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

/**
 * PluginPluginMemberTable
 * 
 * This class has been auto-generated by the Doctrine ORM Framework
 * 
 * @package    opPluginChannelServerPlugin
 * @subpackage model
 * @author     Kousuke Ebihara <ebihara@tejimaya.com>
 */
class PluginPluginMemberTable extends Doctrine_Table
{
  public function getLeadPlugins($id)
  {
    return $this->createQuery()
      ->where('member_id = ?', $id)
      ->andWhere('position = ?', 'lead')
      ->execute();
  }

  public function countJoinRequests($id)
  {
    $ids = array();
    foreach ($this->getLeadPlugins($id) as $v)
    {
      $ids[] = $v->package_id;
    }

    if (!$ids)
    {
      return 0;
    }

    return (int)$this->createQuery('p')
      ->select('COUNT(p.id)')
      ->whereIn('p.package_id', $ids)
      ->andWhere('p.is_active = ?', false)
      ->execute(array(), Doctrine_Core::HYDRATE_SINGLE_SCALAR);
  }

  public function getJoinRequests($id)
  {
    $ids = array();
    foreach ($this->getLeadPlugins($id) as $v)
    {
      $ids[] = $v->package_id;
    }

    if (!$ids)
    {
      return false;
    }

    return $this->createQuery('p')
      ->whereIn('p.package_id', $ids)
      ->andWhere('p.is_active = ?', false)
      ->execute();
  }

  public function getPager($packageId, $page = 1, $size = 20)
  {
    $q = Doctrine::getTable('Member')->createQuery('m')
      ->where('p.package_id = ?', $packageId)
      ->innerJoin('m.PluginMember p');

    $pager = new sfDoctrinePager('Member', $size);
    $pager->setQuery($q);
    $pager->setPage($page);
    $pager->init();

    return $pager;
  }

  public function getPosition($memberId, $packageId)
  {
    $obj = $this->findOneByMemberIdAndPackageId($memberId, $packageId);
    if (!$obj)
    {
      return null;
    }

    return $obj->position;
  }
}
